{
  "name": "extress",
  "version": "1.0.0",
  "devDependencies": {
    "@eslint/eslintrc": "^3.3.5",
    "@eslint/js": "^10.0.1",
    "@typescript-eslint/eslint-plugin": "^8.58.2",
    "@typescript-eslint/parser": "^8.58.2",
	"@types/node": "^25.6.0",
    "dts-bundle-generator": "^9.5.1",
    "eslint": "^10.2.0",
    "express": "^5.2.1",
    "express-session": "^1.19.0",
    "swagger-jsdoc": "^6.2.8",
    "swagger-ui-express": "^5.0.1",
    "ts-node": "^10.9.2",
    "typescript": "^6.0.3",
    "ws": "^8.20.0"
  },
  "dependencies": {
    "@types/express": "^5.0.6",
    "@types/express-session": "^1.19.0",
    "@types/swagger-jsdoc": "^6.0.4",
    "@types/swagger-ui-express": "^4.1.8",
    "@types/ws": "^8.18.1"
  },
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "files": [
    "dist"
  ],
  "bin": "dist/bin/extress.js",
  "scripts": {
    "lint": "eslint .",
    "fixLint": "eslint . --fix",
	"buildBin": "esbuild bin/extress.ts --bundle --platform=node --minify --outfile=dist/bin/extress.js",
	"buildSrc": "esbuild lib/index.ts --bundle --platform=node --outfile=dist/index.js --sourcemap=external --sources-content=true",
    "build": "npx dts-bundle-generator --config dts.config.json && npm run buildSrc && npm run buildBin"
  }
}
